View Issue Details

IDCategoryLast Update
0007235bugs2017-03-04 03:28
ReporterrutschAssigned Totimbyr 
Reproducibilityalways 
Status resolvedResolutionfixed 
PlatformLinuxOSDebianOS Version8
Product Version5.8 
Fixed in Version5.X git (version in description) 
Summary0007235: Crash when hiding the Master track in the editor
DescriptionArdour 5.6 crashes when hiding the Master track in the editor.
Steps To ReproduceCreate a new session.
Right click on Master track and select 'Hide' in the popup menu.
Crash.
TagsNo tags attached.

Relationships

related to 0007249 resolvedtimbyr Crash when hiding a track in certain sessions 

Activities

Headwar

2017-02-13 09:56

reporter   ~0019374

Cannot reproduce here (Ubuntu 14.04 unity, official 5.6)

timbyr

2017-02-13 10:13

developer   ~0019375

I can reproduce this with 5.6 (linux 64bit). Attaching backtrace from debug build.

timbyr

2017-02-13 10:13

developer  

Ardour-5.6.0-hide-master-bt.txt (42,223 bytes)
(gdb) run
Starting program: /opt/Ardour-5.6.0-dbg/bin/ardour-5.6.0 
Missing separate debuginfos, use: dnf debuginfo-install glibc-2.23.1-10.fc24.x86_64
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
bind txt domain [gtk2_ardour5] to /opt/Ardour-5.6.0-dbg/share/locale
Ardour5.6.0 (built using 5.6 and GCC version 5.3.1 20160205)
ardour: [INFO]: Your system is configured to limit Ardour to only 4,096 open files
ardour: [INFO]: Loading system configuration file /opt/Ardour-5.6.0-dbg/etc/system_config
ardour: [INFO]: Loading user configuration file /home/timbyr/.config/ardour5/config
[New Thread 0x7fffe1146700 (LWP 26971)]
ardour: [INFO]: CPU vendor: GenuineIntel
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand:        Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
ardour: [INFO]: Using SSE optimized routines
[New Thread 0x7fffe0945700 (LWP 26972)]
[New Thread 0x7fffe0144700 (LWP 26973)]
[New Thread 0x7fffdf943700 (LWP 26974)]
[New Thread 0x7fffdcd89700 (LWP 26975)]
[New Thread 0x7fffcffff700 (LWP 26976)]
*** WEAK-JACK: initializing
*** WEAK-JACK: OK. (0)
ardour: [INFO]: Loading default ui configuration file /opt/Ardour-5.6.0-dbg/etc/default_ui_config
ardour: [INFO]: Loading user ui configuration file /home/timbyr/.config/ardour5/ui_config
Cannot xinstall SIGPIPE error handler
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
Color shuttle bg not found
ardour: [INFO]: Loading color file /opt/Ardour-5.6.0-dbg/share/themes/dark-ardour.colors
ardour: [INFO]: Loading ui configuration file /opt/Ardour-5.6.0-dbg/etc/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /opt/Ardour-5.6.0-dbg/etc/clearlooks.rc
[New Thread 0x7fffce886800 (LWP 26977)]
[New Thread 0x7fffce1f1700 (LWP 26978)]
[New Thread 0x7fffcd9f0700 (LWP 26979)]
[New Thread 0x7fffcd1ef700 (LWP 26980)]
[New Thread 0x7fffcc9ee700 (LWP 26981)]
[New Thread 0x7fffaffff700 (LWP 26982)]
[New Thread 0x7fffaf7fe700 (LWP 26983)]
Found nothing along /home/timbyr/.config/ardour5/templates:/opt/Ardour-5.6.0-dbg/share/templates
run dialog
[Thread 0x7fffaf7fe700 (LWP 26983) exited]
[Thread 0x7fffaffff700 (LWP 26982) exited]
[Thread 0x7fffcd1ef700 (LWP 26980) exited]
[Thread 0x7fffcd9f0700 (LWP 26979) exited]
curl failed: No Error
[Thread 0x7fffce886800 (LWP 26977) exited]
Detaching after vfork from child process 26984.
[New Thread 0x7fffcd9f0700 (LWP 26985)]
playback :
  nchan  : 4
  fsamp  : 44100
  fsize  : 1024
  nfrag  : 2
  format : S32_LE
capture  :
  nchan  : 2
  fsamp  : 44100
  fsize  : 1024
  nfrag  : 2
  format : S32_LE
synced
[New Thread 0x7fffcc12cd80 (LWP 26986)]
protocol Ableton Push 2 active ? 0
protocol Open Sound Control (OSC) active ? 0
protocol PreSonus FaderPort active ? 0
protocol Generic MIDI active ? 0
protocol Mackie active ? 0
protocol Steinberg CC121 active ? 0
Scanning folders for bundled LV2s: /opt/Ardour-5.6.0-dbg/lib/LV2
KP is /home/timbyr/.config/ardour5/ardour.keys
[New Thread 0x7fffaf7fe700 (LWP 26987)]
[New Thread 0x7fffcd1ef700 (LWP 26988)]
Detaching after vfork from child process 26989.
[New Thread 0x7fffaffff700 (LWP 26990)]
[Thread 0x7fffaffff700 (LWP 26990) exited]
[Thread 0x7fffcd1ef700 (LWP 26988) exited]
[Thread 0x7fffaf7fe700 (LWP 26987) exited]
Detaching after vfork from child process 26991.
[New Thread 0x7fffaffff700 (LWP 26992)]
[Thread 0x7fffaffff700 (LWP 26992) exited]
Set cursor set to default
[New Thread 0x7fffaffff700 (LWP 26993)]
[New Thread 0x7fffaf7fe700 (LWP 26994)]
[New Thread 0x7fffcd1ef700 (LWP 26995)]
[New Thread 0x7fffaeaf6700 (LWP 26996)]
RESPONSE -1
[New Thread 0x7fffae2e1d80 (LWP 26997)]
[New Thread 0x7fffae2c8d80 (LWP 26998)]
[New Thread 0x7fffae2afd80 (LWP 26999)]
Set buffering params to 262144|131072|10|10
[New Thread 0x7fffadf8a800 (LWP 27000)]
[New Thread 0x7fffade27700 (LWP 27001)]
[New Thread 0x7fff8ffff700 (LWP 27002)]
[Thread 0x7fffaeaf6700 (LWP 26996) exited]
[Thread 0x7fffcd1ef700 (LWP 26995) exited]
[Thread 0x7fffaf7fe700 (LWP 26994) exited]
[Thread 0x7fffaffff700 (LWP 26993) exited]
protocol Ableton Push 2 active ? 0
protocol Open Sound Control (OSC) active ? 0
protocol PreSonus FaderPort active ? 0
protocol Generic MIDI active ? 0
protocol Mackie active ? 0
protocol Steinberg CC121 active ? 0
Set buffering params to 262144|131072|10|10
Skip explicit buffer seconds, preset in use
Skip explicit buffer seconds, preset in use
[New Thread 0x7fffcd1ef700 (LWP 27003)]
[New Thread 0x7fffaf7fe700 (LWP 27004)]
[New Thread 0x7fffaffff700 (LWP 27005)]
[New Thread 0x7fffaeaf6700 (LWP 27006)]

Thread 1 "ardour-5.6.0" received signal SIGSEGV, Segmentation fault.
0x00007fffeca189b7 in std::__detail::_List_node_base::_M_unhook() () from /lib64/libstdc++.so.6
Missing separate debuginfos, use: dnf debuginfo-install alsa-lib-1.1.1-1.fc24.x86_64 jack-audio-connection-kit-1.9.10-5.fc24.x86_64 ladspa-1.13-16.fc24.x86_64 libX11-1.6.3-3.fc24.x86_64 libXau-1.0.8-6.fc24.x86_64 libXcursor-1.1.14-6.fc24.x86_64 libXext-1.3.3-4.fc24.x86_64 libXfixes-5.0.3-1.fc24.x86_64 libXrender-0.9.10-1.fc24.x86_64 libgcc-6.2.1-2.fc24.x86_64 libstdc++-6.2.1-2.fc24.x86_64 libxcb-1.11.1-2.fc24.x86_64 nss-mdns-0.10-17.fc24.x86_64 opus-1.1.2-2.fc24.x86_64 rubberband-1.8.1-8.fc24.x86_64
(gdb) t a a bt

Thread 34 (Thread 0x7fffaeaf6700 (LWP 27006)):
#0  0x00007fffec1930b9 in syscall () from /lib64/libc.so.6
#1  0x00007ffff377afcc in g_cond_wait () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff7907071 in ArdourCanvas::WaveView::drawing_thread () at ../libs/canvas/wave_view.cc:1565
#3  0x0000000000ea5dbb in sigc::pointer_functor0<void>::operator() (this=0x8b01d58) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000ea2fe4 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x8b01d50)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x0000000000e9f0df in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x8b01d20)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007ffff3cc323d in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglibmm-2.4.so.1
#7  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#8  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#9  0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 33 (Thread 0x7fffaffff700 (LWP 27005)):
#0  0x00007fffef4b34ad in nanosleep () from /lib64/libpthread.so.0
#1  0x00007ffff375aa48 in g_usleep () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff63364b9 in ARDOUR::AutomationWatch::thread (this=0x22f3eb0) at ../libs/ardour/automation_watch.cc:177
#3  0x00007ffff633a155 in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator() (this=0x22f4090, p=0x22f3eb0)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff6339d3c in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0> (
    this=0x22f40a0, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007ffff63396ad in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator() (this=0x22f4090) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff633963a in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator() (this=0x22f4090) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff63390ce in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it (rep=0x22f4060) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff3cc323d in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#11 0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 32 (Thread 0x7fffaf7fe700 (LWP 27004)):
#0  0x00007fffef4afbd0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff681ec79 in ARDOUR::Session::auto_connect_thread_run (this=0x202bff0) at ../libs/ardour/session.cc:7166
#2  0x00007ffff681e9aa in ARDOUR::Session::auto_connect_thread (arg=0x202bff0) at ../libs/ardour/session.cc:7113
#3  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#4  0x00007fffec198f6d in clone () from /lib64/libc.so.6

---Type <return> to continue, or q <return> to quit---
Thread 31 (Thread 0x7fffcd1ef700 (LWP 27003)):
#0  0x00007fffef4afbd0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff689313d in ARDOUR::Session::emit_thread_run (this=0x202bff0) at ../libs/ardour/session_process.cc:1374
#2  0x00007ffff68930da in ARDOUR::Session::emit_thread (arg=0x202bff0) at ../libs/ardour/session_process.cc:1363
#3  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#4  0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 30 (Thread 0x7fff8ffff700 (LWP 27002)):
#0  0x00007fffef4b20c7 in do_futex_wait.constprop () from /lib64/libpthread.so.0
#1  0x00007fffef4b2174 in __new_sem_wait_slow.constprop.0 () from /lib64/libpthread.so.0
#2  0x00007fffef4b221a in sem_wait@@GLIBC_2.2.5 () from /lib64/libpthread.so.0
#3  0x00007ffff6441baa in PBD::Semaphore::wait (this=0x3f3b170) at /home/ardour/linux-x86_64-v5/ardour/libs/pbd/pbd/semutils.h:61
#4  0x00007ffff6962bfe in ARDOUR::Worker::run (this=0x3f3b150) at ../libs/ardour/worker.cc:140
#5  0x00007ffff696392e in sigc::bound_mem_functor0<void, ARDOUR::Worker>::operator() (this=0x3f3a608)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#6  0x00007ffff6963876 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR::Worker> >::operator() (this=0x3f3a600)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff696374d in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR::Worker>, void>::call_it (rep=0x3f3a5d0)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff3cc323d in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#11 0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 29 (Thread 0x7fffade27700 (LWP 27001)):
#0  0x00007fffec18d3ed in poll () from /lib64/libc.so.6
#1  0x00007ffff3729674 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff37299f2 in g_main_loop_run () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#3  0x00007ffff4955137 in BaseUI::main_thread (this=0x3c72100) at ../libs/pbd/base_ui.cc:86
#4  0x00007ffff49590fe in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0x3c727d8)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#5  0x00007ffff4958d3c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x3c727d0)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff49587f7 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x3c727a0)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007ffff3cc323d in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglibmm-2.4.so.1
#8  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#9  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#10 0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 28 (Thread 0x7fffadf8a800 (LWP 27000)):
---Type <return> to continue, or q <return> to quit---
#0  0x00007fffec18d3ed in poll () from /lib64/libc.so.6
#1  0x00007ffff496b300 in CrossThreadChannel::poll_for_request (this=0x1fb9f98) at ../libs/pbd/crossthread.posix.cc:83
#2  0x00007ffff496b369 in CrossThreadChannel::receive (this=0x1fb9f98, msg=@0x7fffadf8946f: 0 '\000', wait=true) at ../libs/pbd/crossthread.posix.cc:104
#3  0x00007ffff634a4d4 in ARDOUR::Butler::thread_work (this=0x1fb9f00) at ../libs/ardour/butler.cc:175
#4  0x00007ffff634a255 in ARDOUR::Butler::_thread_work (arg=0x1fb9f00) at ../libs/ardour/butler.cc:156
#5  0x00007ffff498e808 in fake_thread_start (arg=0x3c71f10) at ../libs/pbd/pthread_utils.cc:101
#6  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#7  0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x7fffae2afd80 (LWP 26999)):
#0  0x00007fffef4b20c7 in do_futex_wait.constprop () from /lib64/libpthread.so.0
#1  0x00007fffef4b2174 in __new_sem_wait_slow.constprop.0 () from /lib64/libpthread.so.0
#2  0x00007fffef4b221a in sem_wait@@GLIBC_2.2.5 () from /lib64/libpthread.so.0
#3  0x00007ffff6441baa in PBD::Semaphore::wait (this=0x2b69748) at /home/ardour/linux-x86_64-v5/ardour/libs/pbd/pbd/semutils.h:61
#4  0x00007ffff643f1ca in ARDOUR::Graph::restart_cycle (this=0x2b69650) at ../libs/ardour/graph.cc:261
#5  0x00007ffff643f197 in ARDOUR::Graph::dec_ref (this=0x2b69650) at ../libs/ardour/graph.cc:248
#6  0x00007ffff6447028 in ARDOUR::GraphNode::finish (this=0x3e92da8, chain=1) at ../libs/ardour/graphnode.cc:71
#7  0x00007ffff643fec6 in ARDOUR::Graph::run_one (this=0x2b69650) at ../libs/ardour/graph.cc:401
#8  0x00007ffff64400da in ARDOUR::Graph::helper_thread (this=0x2b69650) at ../libs/ardour/graph.cc:418
#9  0x00007ffff64466af in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffae2af3d8, p=0x2b69650)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#10 0x00007ffff6445daa in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fffae2af3e8, 
    f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:253
#11 0x00007ffff644521d in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (
    this=0x7fffae2af3d8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind_template.hpp:20
#12 0x00007ffff6444a9f in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:153
#13 0x000000000073a08e in boost::function0<void>::operator() (this=0x7fffae2af3d0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:760
#14 0x00007fffdc0c28e7 in ARDOUR::AlsaAudioBackend::alsa_process_thread (arg=0x319f790) at ../libs/backends/alsa/alsa_audiobackend.cc:1109
#15 0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#16 0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7fffae2c8d80 (LWP 26998)):
#0  0x00007fffef4b20c7 in do_futex_wait.constprop () from /lib64/libpthread.so.0
#1  0x00007fffef4b2174 in __new_sem_wait_slow.constprop.0 () from /lib64/libpthread.so.0
#2  0x00007fffef4b221a in sem_wait@@GLIBC_2.2.5 () from /lib64/libpthread.so.0
#3  0x00007ffff6441baa in PBD::Semaphore::wait (this=0x2b69728) at /home/ardour/linux-x86_64-v5/ardour/libs/pbd/pbd/semutils.h:61
#4  0x00007ffff643fd1c in ARDOUR::Graph::run_one (this=0x2b69650) at ../libs/ardour/graph.cc:387
#5  0x00007ffff64400da in ARDOUR::Graph::helper_thread (this=0x2b69650) at ../libs/ardour/graph.cc:418
#6  0x00007ffff64466af in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffae2c83d8, p=0x2b69650)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
---Type <return> to continue, or q <return> to quit---
#7  0x00007ffff6445daa in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fffae2c83e8, 
    f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:253
#8  0x00007ffff644521d in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (
    this=0x7fffae2c83d8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind_template.hpp:20
#9  0x00007ffff6444a9f in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:153
#10 0x000000000073a08e in boost::function0<void>::operator() (this=0x7fffae2c83d0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:760
#11 0x00007fffdc0c28e7 in ARDOUR::AlsaAudioBackend::alsa_process_thread (arg=0x319f790) at ../libs/backends/alsa/alsa_audiobackend.cc:1109
#12 0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#13 0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7fffae2e1d80 (LWP 26997)):
#0  0x00007fffef4b20c7 in do_futex_wait.constprop () from /lib64/libpthread.so.0
#1  0x00007fffef4b2174 in __new_sem_wait_slow.constprop.0 () from /lib64/libpthread.so.0
#2  0x00007fffef4b221a in sem_wait@@GLIBC_2.2.5 () from /lib64/libpthread.so.0
#3  0x00007ffff6441baa in PBD::Semaphore::wait (this=0x2b69728) at /home/ardour/linux-x86_64-v5/ardour/libs/pbd/pbd/semutils.h:61
#4  0x00007ffff643fd1c in ARDOUR::Graph::run_one (this=0x2b69650) at ../libs/ardour/graph.cc:387
#5  0x00007ffff644039f in ARDOUR::Graph::main_thread (this=0x2b69650) at ../libs/ardour/graph.cc:457
#6  0x00007ffff64466af in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffae2e13d8, p=0x2b69650)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007ffff6445daa in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fffae2e13e8, 
    f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:253
#8  0x00007ffff644521d in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (
    this=0x7fffae2e13d8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind_template.hpp:20
#9  0x00007ffff6444a9f in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:153
#10 0x000000000073a08e in boost::function0<void>::operator() (this=0x7fffae2e13d0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:760
#11 0x00007fffdc0c28e7 in ARDOUR::AlsaAudioBackend::alsa_process_thread (arg=0x319f790) at ../libs/backends/alsa/alsa_audiobackend.cc:1109
#12 0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#13 0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fffcc12cd80 (LWP 26986)):
#0  0x00007fffec18d4b1 in ppoll () from /lib64/libc.so.6
#1  0x00007fffdc0e99ae in Alsa_pcmi::pcm_wait (this=0x23fbcc0) at ../libs/backends/alsa/zita-alsa-pcmi.cc:184
#2  0x00007fffdc0c61f7 in ARDOUR::AlsaAudioBackend::main_process_thread (this=0x1c9edb0) at ../libs/backends/alsa/alsa_audiobackend.cc:1890
#3  0x00007fffdc0c1169 in pthread_process (arg=0x1c9edb0) at ../libs/backends/alsa/alsa_audiobackend.cc:794
#4  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#5  0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fffcd9f0700 (LWP 26985)):
#0  0x00007fffec18f1c3 in select () from /lib64/libc.so.6
---Type <return> to continue, or q <return> to quit---
#1  0x00007ffff49a1a0a in PBD::SystemExec::output_interposer (this=0x1fb3560) at ../libs/pbd/system_exec.cc:926
#2  0x00007ffff49a0c64 in interposer_thread (arg=0x1fb3560) at ../libs/pbd/system_exec.cc:333
#3  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#4  0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fffcc9ee700 (LWP 26981)):
#0  0x00007fffec1930b9 in syscall () from /lib64/libc.so.6
#1  0x00007ffff377b0e1 in g_cond_wait_until () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff36f524b in g_async_queue_timeout_pop () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#3  0x00007ffff37599ea in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#4  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#5  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#6  0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fffce1f1700 (LWP 26978)):
#0  0x00007fffec18d3ed in poll () from /lib64/libc.so.6
#1  0x00007ffff3729674 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff372977c in g_main_context_iteration () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#3  0x00007ffff37297b9 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#4  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#5  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#6  0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fffcffff700 (LWP 26976)):
#0  0x00007fffec1930b9 in syscall () from /lib64/libc.so.6
#1  0x00007ffff377afcc in g_cond_wait () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff62ded20 in ARDOUR::AudioEngine::do_devicelist_update (this=0x1a94e90) at ../libs/ardour/audioengine.cc:561
#3  0x00007ffff62ea327 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x1afcf20, p=0x1a94e90)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff62e9db6 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (
    this=0x1afcf30, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007ffff62e9399 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (
    this=0x1afcf20) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff62e8cbe in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x1afcf20) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff62e7f2a in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x1afcef0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff3cc323d in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#11 0x00007fffec198f6d in clone () from /lib64/libc.so.6
---Type <return> to continue, or q <return> to quit---

Thread 6 (Thread 0x7fffdcd89700 (LWP 26975)):
#0  0x00007fffec1930b9 in syscall () from /lib64/libc.so.6
#1  0x00007ffff377afcc in g_cond_wait () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff62deafa in ARDOUR::AudioEngine::do_reset_backend (this=0x1a94e90) at ../libs/ardour/audioengine.cc:526
#3  0x00007ffff62ea327 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x1b05550, p=0x1a94e90)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff62e9db6 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (
    this=0x1b05560, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007ffff62e9399 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (
    this=0x1b05550) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff62e8cbe in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x1b05550) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff62e7f2a in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x1b05520) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff3cc323d in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#11 0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fffdf943700 (LWP 26974)):
#0  0x00007fffec1930b9 in syscall () from /lib64/libc.so.6
#1  0x00007ffff377afcc in g_cond_wait () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff62787f0 in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:87
#3  0x00007ffff62785dc in analyser_work () at ../libs/ardour/analyser.cc:52
#4  0x0000000000ea5dbb in sigc::pointer_functor0<void>::operator() (this=0x1b09578) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#5  0x0000000000ea2fe4 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1b09570)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x0000000000e9f0df in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1b09540)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007ffff3cc323d in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglibmm-2.4.so.1
#8  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#9  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#10 0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fffe0144700 (LWP 26973)):
#0  0x00007fffec1930b9 in syscall () from /lib64/libc.so.6
#1  0x00007ffff377afcc in g_cond_wait () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff691f916 in peak_thread_work () at ../libs/ardour/source_factory.cc:71
#3  0x0000000000ea5dbb in sigc::pointer_functor0<void>::operator() (this=0x1af4f78) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000ea2fe4 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1af4f70)
---Type <return> to continue, or q <return> to quit---
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x0000000000e9f0df in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1af4f40)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007ffff3cc323d in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglibmm-2.4.so.1
#7  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#8  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#9  0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fffe0945700 (LWP 26972)):
#0  0x00007fffec1930b9 in syscall () from /lib64/libc.so.6
#1  0x00007ffff377afcc in g_cond_wait () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff691f916 in peak_thread_work () at ../libs/ardour/source_factory.cc:71
#3  0x0000000000ea5dbb in sigc::pointer_functor0<void>::operator() (this=0x1a24818) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000ea2fe4 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1a24810)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x0000000000e9f0df in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1a247e0)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007ffff3cc323d in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglibmm-2.4.so.1
#7  0x00007ffff3759225 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#8  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#9  0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fffe1146700 (LWP 26971)):
#0  0x00007fffef4b34ad in nanosleep () from /lib64/libpthread.so.0
#1  0x00007ffff375aa48 in g_usleep () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#2  0x00000000011b894b in gui_event_loop (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:363
#3  0x00007fffef4aa5ca in start_thread () from /lib64/libpthread.so.0
#4  0x00007fffec198f6d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7ffff7fa58c0 (LWP 26962)):
#0  0x00007fffeca189b7 in std::__detail::_List_node_base::_M_unhook() () from /lib64/libstdc++.so.6
#1  0x00000000008d001b in std::__cxx11::list<TimeAxisView*, std::allocator<TimeAxisView*> >::_M_erase (this=0x26b5bd8, __position=) at /usr/include/c++/5/bits/stl_list.h:1774
#2  0x00000000008c74aa in std::__cxx11::list<TimeAxisView*, std::allocator<TimeAxisView*> >::erase (this=0x26b5bd8, __position=) at /usr/include/c++/5/bits/list.tcc:156
#3  0x0000000000ff8a62 in Selection::remove (this=0x26b5ba0, track=0x376f818) at ../gtk2_ardour/selection.cc:638
#4  0x00000000010f3eb4 in TimeAxisView::hide (this=0x376f818) at ../gtk2_ardour/time_axis_view.cc:284
#5  0x000000000080b0f6 in AudioTimeAxisView::hide (this=0x376f5c0) at ../gtk2_ardour/audio_time_axis.cc:173
#6  0x0000000000a1cba1 in EditorRoutes::redisplay_real (this=0x24c9900) at ../gtk2_ardour/editor_routes.cc:597
#7  0x0000000000a1ce20 in EditorRoutes::redisplay (this=0x24c9900) at ../gtk2_ardour/editor_routes.cc:643
#8  0x0000000000a1f9c9 in EditorRoutes::route_property_changed (this=0x24c9900, what_changed=..., s=...) at ../gtk2_ardour/editor_routes.cc:929
#9  0x0000000000a36a91 in boost::_mfi::mf2<void, EditorRoutes, PBD::PropertyChange const&, boost::weak_ptr<ARDOUR::Stripable> >::operator() (this=0x1d08c30, p=0x24c9900, 
    a1=..., a2=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:280
---Type <return> to continue, or q <return> to quit---
#10 0x0000000000a34df1 in boost::_bi::list3<boost::_bi::value<EditorRoutes*>, boost::arg<1>, boost::_bi::value<boost::weak_ptr<ARDOUR::Stripable> > >::operator()<boost::_mfi::mf2<void, EditorRoutes, PBD::PropertyChange const&, boost::weak_ptr<ARDOUR::Stripable> >, boost::_bi::list1<PBD::PropertyChange const&> > (this=0x1d08c40, f=..., a=...)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:392
#11 0x0000000000a32720 in boost::_bi::bind_t<void, boost::_mfi::mf2<void, EditorRoutes, PBD::PropertyChange const&, boost::weak_ptr<ARDOUR::Stripable> >, boost::_bi::list3<boost::_bi::value<EditorRoutes*>, boost::arg<1>, boost::_bi::value<boost::weak_ptr<ARDOUR::Stripable> > > >::operator()<PBD::PropertyChange> (this=0x1d08c30, a1=...)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind_template.hpp:47
#12 0x0000000000a2f740 in boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void, boost::_mfi::mf2<void, EditorRoutes, PBD::PropertyChange const&, boost::weak_ptr<ARDOUR::Stripable> >, boost::_bi::list3<boost::_bi::value<EditorRoutes*>, boost::arg<1>, boost::_bi::value<boost::weak_ptr<ARDOUR::Stripable> > > >, void, PBD::PropertyChange const&>::invoke (function_obj_ptr=..., a0=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:153
#13 0x00000000007d31bb in boost::function1<void, PBD::PropertyChange const&>::operator() (this=0x1d591a0, a0=...)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:760
#14 0x00000000007d97a8 in boost::_bi::list1<boost::_bi::value<PBD::PropertyChange> >::operator()<boost::function<void (PBD::PropertyChange const&)>, boost::_bi::list0>(boost::_bi::type<void>, boost::function<void (PBD::PropertyChange const&)>&, boost::_bi::list0&, int) (this=0x1d591c0, f=..., a=...)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:253
#15 0x00000000007d8e81 in boost::_bi::bind_t<boost::_bi::unspecified, boost::function<void (PBD::PropertyChange const&)>, boost::_bi::list1<boost::_bi::value<PBD::PropertyChange> > >::operator()() (this=0x1d591a0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind_template.hpp:20
#16 0x00000000007d8361 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<boost::_bi::unspecified, boost::function<void (PBD::PropertyChange const&)>, boost::_bi::list1<boost::_bi::value<PBD::PropertyChange> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:153
#17 0x000000000073a08e in boost::function0<void>::operator() (this=0x7fffffffbb00) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:760
#18 0x00007ffff74f4db4 in AbstractUI<Gtkmm2ext::UIRequest>::call_slot(PBD::EventLoop::InvalidationRecord*, boost::function<void ()> const&) (this=0x1a9b470, invalidation=0x0, 
    f=...) at /home/ardour/linux-x86_64-v5/ardour/libs/pbd/pbd/abstract_ui.cc:429
#19 0x00000000007d38ad in PBD::Signal1<void, PBD::PropertyChange const&, PBD::OptionalLastValue<void> >::compositor(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&) (f=..., event_loop=0x1a9b470, ir=0x0, a1=...)
    at /home/ardour/linux-x86_64-v5/ardour/build/libs/pbd/pbd/signals_generated.h:595
#20 0x00000000007d915b in boost::_bi::list4<boost::_bi::value<boost::function<void (PBD::PropertyChange const&)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> >::operator()<void (*)(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&), boost::_bi::list1<PBD::PropertyChange const&> >(boost::_bi::type<void>, void (*&)(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&), boost::_bi::list1<PBD::PropertyChange const&>&, int) (this=0x1da26f8, 
    f=@0x1da26f0: 0x7d37f3 <PBD::Signal1<void, PBD::PropertyChange const&, PBD::OptionalLastValue<void> >::compositor(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&)>, a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:457
#21 0x00000000007d84da in boost::_bi::bind_t<void, void (*)(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&), boost::_bi::list4<boost::_bi::value<boost::function<void (PBD::PropertyChange const&)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> > >::operator()<PBD::PropertyChange>(PBD::PropertyChange const&) (this=0x1da26f0, a1=...)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind_template.hpp:47
#22 0x00000000007d751f in boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void, void (*)(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&), boost::_bi::list4<boost::_bi::value<boost::function<void (PBD::PropertyChange const&)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> > >, void, PBD::PropertyChange const&>::invoke(boost::detail::function::function_buffer&, PBD::PropertyChange const&) (function_obj_ptr=..., a0=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:153
#23 0x00000000007d31bb in boost::function1<void, PBD::PropertyChange const&>::operator() (this=0x1d99910, a0=...)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:760
---Type <return> to continue, or q <return> to quit---
#24 0x0000000000b84b5f in PBD::Signal1<void, PBD::PropertyChange const&, PBD::OptionalLastValue<void> >::operator() (this=0x3e92cd8, a1=...)
    at /home/ardour/linux-x86_64-v5/ardour/build/libs/pbd/pbd/signals_generated.h:704
#25 0x00007ffff499a487 in PBD::Stateful::send_change (this=0x3e92cd0, what_changed=...) at ../libs/pbd/stateful.cc:294
#26 0x00007ffff675c631 in ARDOUR::PresentationInfo::set_hidden (this=0x3e92cd0, yn=true) at ../libs/ardour/presentation_info.cc:265
#27 0x0000000000fda52c in RouteUI::mark_hidden (this=0x376f5c0, yn=true) at ../gtk2_ardour/route_ui.cc:2427
#28 0x0000000000fb23d7 in RouteTimeAxisView::set_marked_for_display (this=0x376f5c0, yn=false) at ../gtk2_ardour/route_time_axis.cc:2943
#29 0x0000000000a1fed4 in EditorRoutes::hide_track_in_display (this=0x24c9900, tv=...) at ../gtk2_ardour/editor_routes.cc:973
#30 0x00000000008bb8c7 in Editor::hide_track_in_display (this=0x25f9720, tv=0x376f818, apply_to_selection=false) at ../gtk2_ardour/editor.cc:5506
#31 0x00000000008bb790 in Editor::hide_track_in_display (this=0x25f9720, tv=0x376f818, apply_to_selection=true) at ../gtk2_ardour/editor.cc:5494
#32 0x0000000000fc4b25 in sigc::bound_mem_functor2<void, PublicEditor, TimeAxisView*, bool>::operator() (this=0x1d4de40, _A_a1=@0x7fffffffc1e8: 0x376f818, 
    _A_a2=@0x1d4de68: true) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1927
#33 0x0000000000fc2a95 in sigc::adaptor_functor<sigc::bound_mem_functor2<void, PublicEditor, TimeAxisView*, bool> >::operator()<RouteTimeAxisView*&, bool&> (this=0x1d4de38, 
    _A_arg1=@0x1d4de60: 0x376f5c0, _A_arg2=@0x1d4de68: true) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:108
#34 0x0000000000fc052b in sigc::bind_functor<-1, sigc::bound_mem_functor2<void, PublicEditor, TimeAxisView*, bool>, RouteTimeAxisView*, bool, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator() (this=0x1d4de30) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/bind.h:1339
#35 0x0000000000fbd5db in sigc::internal::slot_call0<sigc::bind_functor<-1, sigc::bound_mem_functor2<void, PublicEditor, TimeAxisView*, bool>, RouteTimeAxisView*, bool, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, void>::call_it (rep=0x1d4de00) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#36 0x00007ffff3cd30b8 in Glib::SignalProxyNormal::slot0_void_callback(_GObject*, void*) () from /opt/Ardour-5.6.0-dbg/lib/libglibmm-2.4.so.1
#37 0x00007ffff3a37935 in g_closure_invoke () from /opt/Ardour-5.6.0-dbg/lib/libgobject-2.0.so.0
#38 0x00007ffff3a48f84 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libgobject-2.0.so.0
#39 0x00007ffff3a52ab1 in g_signal_emit_valist () from /opt/Ardour-5.6.0-dbg/lib/libgobject-2.0.so.0
#40 0x00007ffff3a52e32 in g_signal_emit () from /opt/Ardour-5.6.0-dbg/lib/libgobject-2.0.so.0
#41 0x00007ffff2ea534e in gtk_widget_activate () from /opt/Ardour-5.6.0-dbg/lib/libgtk-x11-2.0.so.0
#42 0x00007ffff2d3ba52 in gtk_menu_shell_activate_item () from /opt/Ardour-5.6.0-dbg/lib/libgtk-x11-2.0.so.0
#43 0x00007ffff2d3bea6 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libgtk-x11-2.0.so.0
#44 0x00007ffff2d2daa6 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libgtk-x11-2.0.so.0
#45 0x00007ffff2d21e6c in ?? () from /opt/Ardour-5.6.0-dbg/lib/libgtk-x11-2.0.so.0
#46 0x00007ffff3a37935 in g_closure_invoke () from /opt/Ardour-5.6.0-dbg/lib/libgobject-2.0.so.0
#47 0x00007ffff3a4941f in ?? () from /opt/Ardour-5.6.0-dbg/lib/libgobject-2.0.so.0
#48 0x00007ffff3a525a3 in g_signal_emit_valist () from /opt/Ardour-5.6.0-dbg/lib/libgobject-2.0.so.0
#49 0x00007ffff3a52e32 in g_signal_emit () from /opt/Ardour-5.6.0-dbg/lib/libgobject-2.0.so.0
#50 0x00007ffff2ea678c in ?? () from /opt/Ardour-5.6.0-dbg/lib/libgtk-x11-2.0.so.0
#51 0x00007ffff2d20444 in gtk_propagate_event () from /opt/Ardour-5.6.0-dbg/lib/libgtk-x11-2.0.so.0
#52 0x00007ffff2d208b3 in gtk_main_do_event () from /opt/Ardour-5.6.0-dbg/lib/libgtk-x11-2.0.so.0
#53 0x00007ffff293e13c in ?? () from /opt/Ardour-5.6.0-dbg/lib/libgdk-x11-2.0.so.0
#54 0x00007ffff3729477 in g_main_context_dispatch () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#55 0x00007ffff37296d8 in ?? () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#56 0x00007ffff37299f2 in g_main_loop_run () from /opt/Ardour-5.6.0-dbg/lib/libglib-2.0.so.0
#57 0x00007ffff2d1f597 in gtk_main () from /opt/Ardour-5.6.0-dbg/lib/libgtk-x11-2.0.so.0
#58 0x00007ffff74f139e in Gtkmm2ext::UI::run (this=0x1a9b470, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:286
#59 0x0000000000c2c45f in main (argc=1, argv=0x7fffffffd268) at ../gtk2_ardour/main.cc:439
(gdb) 

timbyr

2017-03-02 00:54

developer   ~0019452

I can no longer reproduce this issue with 5.8, marking as resolved.

Issue History

Date Modified Username Field Change
2017-02-13 08:39 rutsch New Issue
2017-02-13 09:56 Headwar Note Added: 0019374
2017-02-13 10:13 timbyr Note Added: 0019375
2017-02-13 10:13 timbyr Status new => confirmed
2017-02-13 10:13 timbyr File Added: Ardour-5.6.0-hide-master-bt.txt
2017-03-02 00:54 timbyr Note Added: 0019452
2017-03-02 00:54 timbyr Status confirmed => resolved
2017-03-02 00:54 timbyr Fixed in Version => 5.X git (version in description)
2017-03-02 00:54 timbyr Resolution open => fixed
2017-03-02 00:54 timbyr Assigned To => timbyr
2017-03-02 01:11 timbyr Product Version 5.X git (version in description) => 5.8
2017-03-04 03:28 timbyr Relationship added related to 0007249